/*

Globals.h

Global variables header file with initializations.

*/
#include "constants.h"

    // Flags
    int global_key                    = 0;
    int start_flag                    = RESTART;    
    
    // Arrays
    int     int_settings[22];                                // memory map overlaps EEPROM and SPI values
    int     spi_read[14];
    // Integers
    int     average_pointer        = 0;
    int     direction                    = FORWARD;
    int     min_width                    = 100;
    int     rx_flag                        = FALSE;            // Monitors the serial port for activity    
    int     serial_number            = 0;    
    int     valid_signal            = FALSE;    
    // Floats
    float distance                    = 0.0;
    float distance_averages[16];
    float range                            = 23.4375;        // local range
    float resolution                = 1.0;
    float signal_front            = 0.0;    
    float signal_width_out    = 0.0;
    float signal_width_averages[16];
    float signal_width_in        = 0.0;
    float zero_front                = 0.0;
    // Calibrations
    float correction                = 0.0;
    float corrections[16];
    float intercept                    = 0.0;
    float intercepts[16];
    float slope                            = 0.0;
    float slopes[16];
    
/*
-----------------------------------------------------------------------------------------------------------
This work is licensed under the Creative Commons Attribution 3.0 Unported License.
To view a copy of this license, visit http://creativecommons.org/licenses/by/3.0/
or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
-----------------------------------------------------------------------------------------------------------
*/
    
    
    
    